#version 330 core

// Interpolated values from the vertex shaders
in vec2 UV;
in vec4 particlecolor;

// Ouput data
out vec4 color;

uniform sampler2D myTextureSampler;

void main(){
	// Output color = color of the texture at the specified UV
	//color = texture2D(myTextureSampler, UV) * particlecolor;
	color = texture2D(myTextureSampler, UV);
	color.w = particlecolor.w;
	
	if(color.x <= 0 && color.y <= 0 && color.z <= 0)
		discard;

	//if(color.xyz == vec3(0))
	//color.w = 0;
	//color = vec4(1.0);

}